Issue 72676

Summary: Cannot select list box with Multiselect=ON and DropDown=ON
Product: Base Reporter: 7kaltoid <dthompson>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, kpalagin
Version: OOo 2.1   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Spreadsheet estimating tool with combo box problem
none
Screenshot none

Description 7kaltoid 2006-12-17 16:09:45 UTC
The following behavior has been observed by me on three different computers with
3 different OOo 2.x releases (OOo2.0.3/MSWin2K SP3; OOo2.1/MSWin2k SP3; and
Novell 2.0.0.1/SuSE 10.0).

I have a spreadsheet that began life in MSExcel97.  It has a single combo box at
cell C32.  The selection box works as expected when the control property
"Multiselection" = "NO".  As soon as this property is set to "YES", it is no
longer possible to select the box, view the contents list of the box, or make
any selection.
Comment 1 7kaltoid 2006-12-17 16:13:43 UTC
Created attachment 41489 [details]
Spreadsheet estimating tool with combo box problem
Comment 2 kpalagin 2006-12-23 07:30:02 UTC
7kaltoid,
how do I bring up the properties of that combobox (to change multiselect)?
Thanks.
Comment 3 7kaltoid 2006-12-27 02:34:28 UTC
I just confirmed the following steps using OOo2.1 and the attachment to this
issue to assure myself a new problem didn't creep in:

1. Open (View) the Form Design Toolbar.
2. Select Design mode ON.
3. Left click to select the combo box.  You must see the sizing anchors which
assures you are in Design mode.
4.  Left click select the Control Icon on the Form Design Tool Bar.  This opens
the properties list for the combo box.

-- DeT
Comment 4 kpalagin 2007-01-03 10:55:59 UTC
7kaltoid,
"Design mode" button is unavailable on that toolbar (see attached screenshot). 
I have tried some steps to open the file in form design mode, but could not do 
that. 
Any idea why the button is unavailable and how to open the spreadsheet in 
design mode?
Comment 5 kpalagin 2007-01-03 10:56:54 UTC
Created attachment 41848 [details]
Screenshot
Comment 6 7kaltoid 2007-01-03 16:02:23 UTC
(bleep!)  

I wanted you to do what I meant, not what I wrote.  :(

*Form CONTROLS* toolbar.
Comment 7 kpalagin 2007-01-04 10:25:07 UTC
Confirming with OO 2.1 on WinXP.
Comment 8 frank 2007-01-16 13:39:50 UTC
Hi Frank,

please have a look at this one.

Frank
Comment 9 Frank Schönheit 2007-01-17 07:25:31 UTC
hmm, what do you expect from a list box which has DropDown=YES and
MultiSelection=YES? How should this look like? DropDown=YES means you have
exactly one line in the listbox, displaying the selected string.
MultiSelection=YES means you can have more than one selected string. This
contradicts each other.

I admit that probably the UI could be improved here, in not allowing
MultiSelection=YES when there already is DropDown=YES.

But I'd say conceptually, the issue cannot be fixed.
Comment 10 7kaltoid 2007-01-17 14:19:31 UTC
What an incredibly arcane definition which is completely unintuitive and nowhere
that I can find in writing.  Not to mention the fact that switching Dropdown to
No and Multiselect to Yes puts a horizontal slider bar in the box and displays
absolutely none of the list.

To answer your question, I expect the function to work in a normal manner
regardless of the dance moves that may be required to get to that point.  You
offered no verifiable method to correct the problem.  This issue is still OPEN.
Comment 11 Frank Schönheit 2007-01-18 06:32:30 UTC
In this case, please state how you would expect a list box with DropDown=YES and
MultiSelect=YES to work. All you said so far is you expect it "to work in a
normal manner". As I tried to explain, there is no "normal manner", since the
concepts of DropDown and MultiSelection are mutually exclusive.

So please describe how a list box control with those two properties set should
work, in your opinion.
Comment 12 christoph.lukasiak 2007-04-03 15:26:22 UTC
clu->7kaltoid: is this issue still valid for you? if you do not respond, this
issue will be closed

Comment 13 7kaltoid 2007-04-03 16:56:04 UTC
The issue is not resolved.

A published definition for the intended behavior of such a box is at
http://www.w3.org/TR/html401/interact/forms.html#h-17.6

[excerpt]
"SELECT Attribute definitions

name = cdata [CI]
    This attribute assigns the control name.
size = number [CN]
    If a SELECT element is presented as a scrolled list box, this attribute
specifies the number of rows in the list that should be visible at the same
time. Visual user agents are not required to present a SELECT element as a list
box; they may use any other mechanism, such as a drop-down menu.
multiple [CI]
    If set, this boolean attribute allows multiple selections. If not set, the
SELECT element only permits single selections." 
[/excerpt]

When I earlier said "work in a normal manner", it is to be in accordance with
the definitions and specifications published by the standards bodies.  More to
the point, if the project does not wish to use these definitions , then publish
a glossary.  At least that way, we might know words like "multiple" have
selective meaning depending upon who is responding to the issue.
Comment 14 marc.neumann 2007-04-04 11:08:11 UTC
Hi,

I can reproduce the problem that the listbox doesn't work anymore when I set
Multiselect and dropdown to YES.

I reassign this issue to the right developer to disable one property when the
other is set to YES.

Bye Marc
Comment 15 foxcole 2007-11-13 18:45:12 UTC
"I reassign this issue to the right developer to disable one property when the
other is set to YES."
Isn't that what is already happening though? Or did you mean ENable one property
when the other is set to YES. The list should drop open when clicked, then the
user should be able to hold the Ctrl key (or whatever equivalent for other OSs
than Windows) and click on as many selections as needed. This is a common method
for helping users to filter out data records (I want records that match 1959,
1965, 1982) or to simply specify multiple preferences (I like green, blue and
purple).
Comment 16 Frank Schönheit 2007-11-14 06:13:33 UTC
Marc meant to disable "Multiple Selection" when "Drop down" is set to "Yes",
since, as outline above, multiple selection doesn't make sense in a drop down
list, since there is no way to display the current selection as soon as the drop
down window is closed.

fs->7kaltoid: The HTML spec you refer to is useless to answer the question "How
should it behave?". More concrete, it doesn't specify a dropdown attribute - the
user agent encountering an "<select multiple='true'>" element is completely free
how to render the control. If you take the time to try it out, then you will
notice that any browser you try will create a *non-drop-down* list box as soon
as you specify "multiple='true'". The reason is what has been mentioned here
before: Drop down and multiple selection are mutually exclusive concepts.
Comment 17 Marcus 2017-05-20 10:45:19 UTC
Reset the assignee to the default "issues@openoffice.apache.org".